Main Page Widgets Namespaces Book

# component.h File Reference

## Namespaces

namespace | Atk
namespace | Glib

## Classes

class | Atk::Component
| The ATK interface provided by UI components which occupy a physical area on the screen. More...

## Enumerations

enum | Atk::CoordType { Atk::XY_SCREEN, Atk::XY_WINDOW }
enum | Atk::Layer { Atk::LAYER_INVALID, Atk::LAYER_BACKGROUND, Atk::LAYER_CANVAS, Atk::LAYER_WIDGET, Atk::LAYER_MDI, Atk::LAYER_POPUP, Atk::LAYER_OVERLAY, Atk::LAYER_WINDOW }